package org.netkernel.xml.representation;

import java.io.IOException;

import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLFilterImpl;

public class RepSAXFilter implements IRepSAX
{
	private final XMLFilterImpl mFilter;
	private final IRepSAX mParent;
	
	public RepSAXFilter(XMLFilterImpl aFilter, IRepSAX aParent)
	{	mFilter=aFilter;
		mFilter.setParent(aParent.getReader());
		mParent=aParent;
	}
	
	public XMLReader getReader()
	{	return mFilter;
	}

	public void trigger() throws IOException, SAXException
	{	mParent.trigger();
	}	
}
